View Issue Details

IDProjectCategoryView StatusLast Update
0016951mantisbtlocalizationpublic2014-12-08 00:34
ReporterbadfilesAssigned Todregad 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016951: String 'Due date was' is hardcoded into core files
Description

String 'Due date was' is hardcoded into core files

TagsNo tags attached.

Relationships

related to 0016970 closeddregad Hardcoded file size unit 'k' 

Activities

dregad

dregad

2014-02-11 11:52

developer   ~0039374

See pull request https://github.com/mantisbt/mantisbt/pull/138

badfiles

badfiles

2014-02-14 02:54

reporter   ~0039398

138 spoiled, see pull request https://github.com/mantisbt/mantisbt/pull/139

dregad

dregad

2014-02-14 10:14

developer   ~0039406

See https://github.com/mantisbt/mantisbt/pull/140

badfiles

badfiles

2014-02-14 10:30

reporter   ~0039407

Much better.

Related Changesets

MantisBT: master d3db7faf

2014-02-11 06:26:41

badfiles


Committer: dregad Details Diff
Fix 0016951: Remove hardcoded 'Due date was' string

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/columns_api.php Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master a6cb846f

2014-02-14 07:58:21

dregad

Details Diff
More i18n-friendly string for overdue label

Using a parameter within the language string avoids hardcoding of text
elements' order, which is better for translators.

Fixes 0016951
mod - core/columns_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2014-02-11 07:39 badfiles New Issue
2014-02-11 11:52 dregad Note Added: 0039374
2014-02-11 11:52 dregad Severity minor => text
2014-02-11 11:52 dregad Status new => acknowledged
2014-02-11 11:52 dregad Product Version git trunk => 1.3.0dev
2014-02-11 11:52 dregad Target Version => 1.3.0-beta.1
2014-02-14 02:54 badfiles Note Added: 0039398
2014-02-14 09:56 dregad Relationship added related to 0016970
2014-02-14 10:14 dregad Note Added: 0039406
2014-02-14 10:15 dregad Assigned To => dregad
2014-02-14 10:15 dregad Status acknowledged => assigned
2014-02-14 10:30 badfiles Note Added: 0039407
2014-02-14 10:35 atrol Product Version 1.3.0dev =>
2014-02-24 16:07 dregad Changeset attached => MantisBT master d3db7faf
2014-02-24 16:07 dregad Changeset attached => MantisBT master a6cb846f
2014-02-24 16:07 dregad Status assigned => resolved
2014-02-24 16:07 dregad Resolution open => fixed
2014-02-24 16:07 dregad Fixed in Version => 1.3.0dev
2014-02-24 16:22 atrol Fixed in Version 1.3.0dev => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed